! norm.f90
! A norm of an N-dimensional vector.
! Miroslav Broz (miroslav.broz@email.cz), Aug 6th 2007

module norm_module

contains

double precision function norm(x)

implicit none

double precision, dimension(:) :: x

double precision :: n
integer :: i

n = 0.d0
do i = 1, size(x)
  n = n + x(i)*x(i)
enddo
n = sqrt(n)

norm = n

return

end function norm

end module norm_module


